> For the complete documentation index, see [llms.txt](https://docs.360dialog.com/partner/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.360dialog.com/partner/onboarding/integrated-onboarding/using-direct-link.md).

# Using Direct Link

This page describes how to trigger Integrated Onboarding with a direct link

Using a direct link is the quickest way partners can start onboarding clients and their phone numbers to their platform. No-code solution.

## Limitations

Implementation of the following is **not covered** in this guide:

* [ ] [Setting a redirect URL and handling the redirect queries.](/partner/partner-api/overview.md#partner-hub-redirect-url)\
  This takes clients to the partner's website after Integrated Onboarding. Partners can display a success message afterwards, or show other helpful information.
* [ ] [Setting partner webhook URL and handling events.](/partner/partner-api/overview.md#partner-hub-webhook)\
  Clients' phone numbers receive management events (like channel status changed) that are forwarded to the partner webhook URL.
* [ ] [Using IO Signature for securely triggering Integrated Onboarding.](/partner/onboarding/integrated-onboarding/io-signature.md)\
  IO Signature is an **optional** feature that prevents clients from onboarding phone numbers without authorization from the partner platform.

For a comprehensive guide that covers these topics, see [Using Custom IO](/partner/onboarding/integrated-onboarding/using-custom-io.md).

Partners using React can instead embed the 360Dialog Connect Button for a streamlined Integrated Onboarding experience: [Using Connect Button](/partner/onboarding/integrated-onboarding/connect-button.md)

## Prepare and Use Link

{% stepper %}
{% step %}

### Get Partner ID

**Integration** tab of the [360Dialog Hub](https://app.360dialog.com/) shows the partner ID.

Look under **Integration Settings** for the Partner ID field. Copy this ID.\
\
![](https://2248475362-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FuyAl2S0lSHJaNDXJHo7A%2Fuploads%2FrhbOjFkLRQDHGAJQrnwM%2Fimage.png?alt=media\&token=1ee247d8-b640-448e-aa9a-311d16d00719)
{% endstep %}

{% step %}

### Add Partner ID to Link

Replace **Partner ID** in the snippet below with the ID acquired in Step 1:

`https://app.360dialog.com/onboarding/{partner_id}`

For a partner with partner ID aAbBcCPA, the direct link would look like:

`https://app.360dialog.com/onboarding/aAbBcCPA`
{% endstep %}

{% step %}

### Click Link

When clients click this link, they will start onboarding a new phone number under the partner account.

Clients of [Direct-Paid partner accounts](/partner/get-started/billing-models.md#direct-paid) will see a price detail and payment information page between the **Account Creation** and **Embedded Signup** steps.

The direct-paid client needs to grant the API key permission before the partner can generate an API key for them. The permission is granted automatically for the partner-paid clients.&#x20;
{% endstep %}

{% step %}

### Generate API Key

When the channel reaches `running` status, create an API key for the newly onboarded phone number to begin sending messages with this phone number. Please use this [endpoint](/partner/partner-api/api-reference/channel-management.md#post-api-v2-partners-partner_id-channels-channel_id-api_keys).&#x20;

Store the returned API key securely - it cannot be retrieved later.

{% hint style="info" %}
**Reminder for** [**Direct-Paid partners**](/partner/get-started/billing-models.md#direct-paid)

Partners on the Direct-Paid billing plan must receive API key permission from their client before being allowed to generate an API key for the client's phone number.

Clients are asked during onboarding if they want to grant API key permission. They can also grant API key permission later in the 360Dialog Hub.

See [Partner Permissions](/partner/partner-hub/api-keys.md) for details.
{% endhint %}
{% endstep %}

{% step %}

### Handle Webhooks

After completing onboarding, the partner's webhook URL endpoint will receive the following important status events:

* `channel_created`: [Sent when a new WhatsApp channel is created](https://docs.360dialog.com/partner/onboarding/webhook-events-and-setup/webhook-events-partner-and-messaging-api#channel-created)
* `channel_status_running`: [Sent when the channel status changes](https://docs.360dialog.com/partner/onboarding/webhook-events-and-setup/webhook-events-partner-and-messaging-api#channel-running)

{% endstep %}
{% endstepper %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.360dialog.com/partner/onboarding/integrated-onboarding/using-direct-link.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
